import { pluginNamePrefix } from '@vuepress-denaro/core';
import { getDirname, path } from '@vuepress/utils';
const __dirname = getDirname(import.meta.url);
export const dynamicTitlePlugin = ({ showIcon = '', showText = '(/≧▽≦/)咦！又好了！', hideIcon = '', hideText = '(●—●)喔哟, 崩溃啦！', recoverTime = 2000, } = {}) => {
    const pluginObj = {
        name: `${pluginNamePrefix}dynamic-title`,
        define: {
            __DYNAMIC_TITLE_SHOW_ICON__: showIcon,
            __DYNAMIC_TITLE_SHOW_TEXT__: showText,
            __DYNAMIC_TITLE_HIDE_ICON__: hideIcon,
            __DYNAMIC_TITLE_HIDE_TEXT__: hideText,
            __DYNAMIC_TITLE_RECOVER_TIME__: recoverTime, // The time to recover the title after the tab is changed.
        },
        clientConfigFile: path.resolve(__dirname, '../client/config.js'),
        alias: {
            // workaround for https://github.com/vitejs/vite/issues/7621
            [`${pluginNamePrefix}dynamic-title/client`]: path.resolve(__dirname, '../client/index.js'),
        },
    };
    return pluginObj;
};
